package com.itheima.mapper;

import com.itheima.pojo.Emp;
import org.apache.ibatis.annotations.*;

import java.time.LocalDate;
import java.util.List;

@Mapper
public interface EmpMapper {
    //根据ID删除数据
    @Delete("delete from emp where id = #{id}")
    public void delete(Integer id);

    //新增员工
    @Options(keyProperty = "id", useGeneratedKeys = true)
    @Insert("insert into emp(username,name,gender,image,job,entrydate,dept_id,create_time,update_time)" + "values (#{username},#{name},#{gender},#{image},#{job},#{entrydate},#{deptId},#{createTime},#{updateTime})")
    public void insert(Emp emp);

    //更新员工
    /*@Update("update emp set username = #{username},name = #{name},gender = #{gender},image = #{image},job = #{job},entrydate = #{entrydate},dept_id = #{deptId},update_time = #{updateTime} where id = #{id}")*/
    //动态更新员工
    public void update(Emp emp);

    //根据id查询员工
    @Select("select * from emp where id = #{id}")
    public Emp getById(Integer id);

    //动态条件查询员工
    public List<Emp> list(String name, Short gender, LocalDate begin, LocalDate end);

    //动态批量删除员工
    public void deleteByIds(List<Integer> ids);

}
